### Method

# Ide ExtensionAdapter get_extension

#### Declaration

    GObject*
    ide_extension_adapter_get_extension (
      IdeExtensionAdapter* self
    )

#### Description

Gets the extension object managed by the adapter.

Available since: | 3.32

Gets property | `Ide.ExtensionAdapter:extension`

#### Return value

Returns: | `GObject`
| A `GObject` or `NULL`.
| The data is owned by the instance.